/[libtool]/libtool/tests/pdemo-inst.test
ViewVC logotype

Diff of /libtool/tests/pdemo-inst.test

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.1 by rboehne, Tue Apr 3 21:47:48 2001 UTC revision 1.2 by rboehne, Wed Jun 6 14:53:29 2001 UTC
# Line 0  Line 1 
1    #! /bin/sh
2    # pdemo-inst.test - try installing from the ../pdemo subdirectory
3    
4    # Test script header.
5    need_prefix=yes
6    if test -z "$srcdir"; then
7      srcdir=`echo "$0" | sed 's%/[^/]*$%%'`
8      test "$srcdir" = "$0" && srcdir=.
9      test "${VERBOSE+set}" != "set" && VERBOSE=yes
10    fi
11    . $srcdir/defs || exit 1
12    
13    # Check that things are built.
14    if test -f ../pdemo/hell; then :
15    else
16      echo "You must run pdemo-make.test before $0" 1>&2
17      exit 77
18    fi
19    
20    # Change to our build directory.
21    cd ../pdemo || exit 1
22    
23    echo "= Running $make install in ../pdemo"
24    $make install || exit 1
25    
26    echo "= Executing installed programs"
27    status=0
28    if $prefix/bin/hell.static | grep 'Welcome to GNU Hell'; then :
29    else
30      echo "$0: cannot execute $prefix/bin/hell.static" 1>&2
31      status=1
32    fi
33    
34    if $prefix/bin/hell | grep 'Welcome to GNU Hell'; then :
35    else
36      echo "$0: cannot execute $prefix/bin/hell" 1>&2
37    
38      # Simple check to see if they are superuser.
39      if test -w /; then :
40      else
41        echo "You may need to run $0 as the superuser."
42      fi
43      status=1
44    fi
45    
46    if $prefix/bin/helldl | egrep -e '(Welcome to .*GNU Hell|unsupported)'; then :
47    else
48      echo "$0: cannot execute $prefix/bin/helldl" 1>&2
49    
50      # Simple check to see if they are superuser.
51      if test -w /; then :
52      else
53        echo "You may need to run $0 as the superuser."
54      fi
55      status=1
56    fi
57    
58    exit $status

Legend:
Removed from v.1.1  
changed lines
  Added in v.1.2

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26